/*
Rowan Froeschner
11/13/2022
CPSC-1011 Section 007 Fall Semester 2022
Lab #10B
This is the main function in which all of the functions are used with the
parameters and each do the function to identify and create the pixels running
with a header containing half the width and height.
*/
#include"defs.h"
int main(void) {
    Header header = getHeader();
    Header halfHeader = header;
    halfHeader.width = header.width/2;
    halfHeader.height = header.height/2;
    Pixel *image = (Pixel *)malloc(header.width*header.height*sizeof(Pixel));
    fillImageArray(image, header.width, header.height);
    writeHeader(halfHeader);
    halfSizeWritePixels(image, header.width, header.height);
}
